#ifndef TEST_WEBSITE_SRC_MODULE_JSON_LIBJSONINCPP_UTF8_H
#define TEST_WEBSITE_SRC_MODULE_JSON_LIBJSONINCPP_UTF8_H

#include <stdint.h>
#include <string>

int _utf8_retrieve_size(uint8_t firstByte);

int32_t _utf8_retrieve_character(int sz, size_t pos, const char *string);

void utf8_string_iterat(int32_t &cp, size_t &adj, size_t pos, const char *string, size_t string_size);

bool isUtf8String(const std::string& str);

/* Returns -1 if cp is not in 0-0x10FFFF range */
int codepoint_to_utf8(uint32_t cp, std::string& out);

#endif
